<?
include("../../conexion/class-sb-conexion.php");
?>
<table cellspacing="0" cellpadding="0" style="width: 602px;">
	<?
	$db = new sb_mysql();
	$db->proceso($empresa_global);   
	$db->pagina=$pagina;
	$db->registros=20;
	
	$sql="
		select Rut_Func,Codigo_Func,Nombre_Func,Apellido_Paterno_Func,Apellido_Materno_Func 
		from sb_funcionarios_lista
		inner join sb_datos_liquidacion 
      		on sb_funcionarios_lista.Codigo_Func = sb_datos_liquidacion.Codigo_Func_Liq
		inner join sb_contratos_lista
		    on sb_datos_liquidacion.Codigo_Cont_Liq = sb_contratos_lista.Codigo_Cont	
		where Codigo_Empresa_Func='".$empresa_global."' and Activo='S' and 
			  sb_datos_liquidacion.Codigo_Proceso='".$db->id_proceso."' and
			  sb_contratos_lista.Codigo_Sucu_Cont='".$Codigo_Sucursal."' order  by Apellido_Paterno_Func asc	";
	//echo ($sql);
	$consulta = $db->consulta($sql);
	if($pagina==1){$indice=1;}else{$indice=(($pagina-1)*$db->registros)+1;}
	$filas=0;
	if($db->num_rows($consulta)>0){  
		while($resultados = $db->sb_array($consulta)){   
		 $filas++; 
  		?><tr id='<?=$filas?>'  
        onClick="marcar(this,<?=$db->num_rows($consulta)?>,<?=$resultados['Codigo_Func']?>)" >
         	<td width="20"><?=$indice++?></td>
        	<td align="center" width="50" ><?=$resultados['Codigo_Func']?></td> 
        	<td width="100" align="center">&nbsp;&nbsp;<?=$resultados['Rut_Func']?></td>
        	<td  align="left">&nbsp;&nbsp;
				<?=$resultados['Apellido_Paterno_Func']." ".$resultados['Apellido_Materno_Func']." ".$resultados['Nombre_Func']?>
            </td>
          </tr><?   
  			}   
		}  
	 	?>
        <tr align="center">
        	<td colspan="4" height="30">
    			<? 
				if(($pagina-1)>0){ 
				?><a href='#' 
                	onClick="carga_link('tb_mant_funcionarios_det.php?pagina=<?=($pagina-1)?>','body');"
                	>< Anterior </a>
                <? 
                }else{
				?>
                	<a href='#' onClick="alert('Primera Pagina')" >< Anterior </a>
                <? 
				} 
				if(($pagina+1)<=$db->total_paginas){
				?>
                	<a href='#' 
                    onClick="carga_link('tb_mant_funcionarios_det.php?pagina=<?=($pagina+1)?>','body');"
                    >Siguiente ></a>                
                <?
                }else{ 
				?>
                    <a href='#' onClick="alert('Ultima Pagina')" >Siguiente > </a>
                
                <? 
				}
				?>    		</td>
        </tr>
    	<tr >
        	<td height="44"  colspan="4" align="center">
            <?
        if($db->ver==1){
			?>
			<input type="button" class="boton" onclick="alert('Inactivo en Proceso (ver)')" value="NUEVO" />
			<?
	}else{
			
		if($Codigo_Sucursal!=""){
		?>
    			<input type="button" class="boton" onclick="evento('tb_mant_funcionarios_for.php?evento=inst&Codigo_Sucursal=<?=$Codigo_Sucursal?>','input');" value="NUEVO" />
		<?
		}else{
		?>
			<input type="button" class="boton" onclick="alert('Debe Seleccionar una Sucursal')" value="NUEVO" />
		<?
		}
	}
	?>     
    			<input type="button" class="boton" 
                onClick="var m=marcador();if(m!='')evento('tb_mant_funcionarios_for.php?evento=upda&id='+m+'&','input');" value="EDITAR" />
    			<input type="button" class="boton" value="ELIMINAR" 
                 onclick="javascript:if(confirm('¿Desea eliminar este registro?')) {m=marcador();if(m!=''){document.getElementById('id').value=m;document.eliminar.submit();}}" />
                <input type="button" class="boton" onClick="window.close();" value="SALIR" />
   			</td>
  </tr>
</table>
<form name="eliminar" action="tb_mant_funcionarios_guardar.php" target="oculto" >
<input id="evento" name="evento"  type="hidden" value="dele"  />
<input id="id"     name="id"      type="hidden"  />
</form>
<iframe name="oculto" height="0" width="0" ></iframe>
